
# 
# Copyright 1999-2006 University of Chicago
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 

eval_path()
{
    _pathval="$1"
    _old_pathval=""

    while test "$_pathval" != "$_old_pathval"; do
        _old_pathval="$_pathval"
        eval "_pathval=\"$_pathval\""
    done
    echo "$_pathval"
}

prefix="${GLOBUS_LOCATION:-/usr}"
exec_prefix='/usr'
sbindir='/usr/sbin'
bindir='/usr/bin'
libdir='/usr/lib'
libexecdir='${datadir}/globus'
includedir='${prefix}/include/globus'
datarootdir='${prefix}/share'
datadir='/usr/share'
mandir='/usr/share/man'
sysconfdir='/etc'
sharedstatedir='/var/lib'
localstatedir='/var'

setupdir='${datadir}/globus/setup'
testdir='${datadir}/globus/test/${PACKAGE}'
flavorincludedir='${libdir}/globus/include'
pkgdir='${datadir}/globus/packages/${PACKAGE}'
aclocaldir='${datadir}/globus/aclocal'
perlmoduledir='/usr/share/perl5/vendor_perl'
doxygendir='${datadir}/globus/doxygen'
guess_libdir='1'

MP=""
MP_INCLUDES=""
MP_LIBS=""

CC="/usr/bin/gcc"
CPP="/usr/bin/gcc -E"
CPPFLAGS="`eval_path ' -I${prefix}/include/globus -I${libdir}/globus/include'`"
CFLAGS="`eval_path '-g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard   -Wall'`"

LDFLAGS="`eval_path '-Wl,--as-needed -Wl,-z,relro   '`"
LIBS="`eval_path '  '`"

CXX="/usr/bin/g++"
CXXCPP="/usr/bin/g++ -E"
CXXFLAGS="-g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard  "

F77=""
F77FLAGS=" "

F90=""
F90FLAGS=" "

AR="/usr/bin/ar"
ARFLAGS="ruv"
RANLIB="/usr/bin/ranlib"

NM="/usr/bin/nm -B"

PERL="/usr/bin/perl"

OBJEXT="o"
EXEEXT=""

OBJECT_MODE=""

CROSS="no"
cross_compiling=${CROSS}

GLOBUS_THREADS="none"
GLOBUS_HOST="armv7hl-redhat-linux-gnu"
GLOBUS_DEBUG="yes"

if [ $# -gt 0 ] && [ $1 = "makefile-header" ]; then
    cat <<EOF
GLOBUS_MP=""
GLOBUS_MP_INCLUDES=""
GLOBUS_MP_LIBS=""

GLOBUS_CC="/usr/bin/gcc"
GLOBUS_CPP="/usr/bin/gcc -E"
GLOBUS_CPPFLAGS="`eval_path ' -I${prefix}/include/globus -I${libdir}/globus/include'`"
GLOBUS_CFLAGS="`eval_path '-g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard   -Wall'`"

GLOBUS_LDFLAGS="`eval_path '-Wl,--as-needed -Wl,-z,relro   '`"
GLOBUS_LIBS="`eval_path '  '`"

GLOBUS_CXX="/usr/bin/g++"
GLOBUS_CXXCPP="/usr/bin/g++ -E"
GLOBUS_CXXFLAGS="-g -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard  "

GLOBUS_F77=""
GLOBUS_F77FLAGS=" "

GLOBUS_F90=""
GLOBUS_F90FLAGS=" "

GLOBUS_AR="/usr/bin/ar"
GLOBUS_ARFLAGS="ruv"
GLOBUS_RANLIB="/usr/bin/ranlib"

GLOBUS_NM="/usr/bin/nm -B"

GLOBUS_OBJEXT="o"
GLOBUS_EXEEXT=""

GLOBUS_OBJECT_MODE=""

GLOBUS_CROSS="no"
GLOBUS_cross_compiling=${CROSS}

GLOBUS_THREADS="none"
GLOBUS_HOST="armv7hl-redhat-linux-gnu"
GLOBUS_DEBUG="yes"
EOF
fi

